/*****************************************************
system_def.h :
  μITRON サンプルプログラム
  Copyright(C) 2002 佐々木芳

システム定義
・シリアルポートを使うデバッグ用CLIタスクを組み込む
・汎用タイマタスクを組み込む
・LEDタスクで1秒間隔で点灯LEDを変える。（タイマタスクの機能を使って時間を計測）
・INT1の割り込みをカウントする割込みタスクで回数を表示する。

*****************************************************/


/*定数*/

/*タスク*/
void InitTask(VP_INT exinf);
void DebugTask(VP_INT exinf);
void TimerTask(VP_INT exinf);
void LedTask(VP_INT exinf);
void Int1Task(VP_INT exinf);

/*割込みハンドラ*/
void Int1Handler(void);


/*
生成したオブジェクトＩＤ
*/
/*タスク*/
#define TID_Init		1	/*初期化タスクID*/
#define TID_Debug		2	/*デバグCLIタスクID*/
#define TID_Timer		4	/*タイマタスクID*/
#define TID_Led			5	/*LEDタスク*/
#define TID_Int1		6	/*IRQ1タスク*/

/*タスク優先度*/
#define TPRI_Init		1	/*初期化タスクID*/
#define TPRI_Debug		2	/*デバグCLIタスクID*/
#define TPRI_Timer		3	/*タイマタスクID*/
#define TPRI_Int1		4	/*IRQ1タスク*/
#define TPRI_Led		8	/*LEDタスク*/


/*メイルボックス*/
#define MID_Led			1	/*LEDタスクで使う*/

/*セマフォID*/
#define SID_Int1		1	/*IRQ1タスクで使う*/

/*イベントフラグID*/

/*タイマ番号（０〜１５まで）*/
#define TNO_Led			0			/*LEDタスクの使うタイマ番号*/

/*タイマカウント値*/
#define TC_LED_TIMEOUT	(TIME_1SEC)	/*LEDタスクで使うタイムアウト値*/


